import algosdk from 'algosdk';
import { AssetInfo } from './common/types';
export declare function getCreatedAssets(client: algosdk.Algodv2, address: string): Promise<AssetInfo[]>;
export declare function getAsaBalance(client: algosdk.Algodv2, address: string, asaId: number): Promise<number>;
export declare function isOptIn(client: algosdk.Algodv2, address: string, asaId: number): Promise<boolean>;
export declare function getTokenCirculatingSupply(client: algosdk.Algodv2, asaId: number): Promise<number>;
